Network Security Perimeter Configurations - Reconcile
协调 Azure AI 搜索资源提供程序的网络安全外围配置。 这通过确保搜索服务携带最新配置来触发使用网络安全外围配置的手动重新同步。
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Search/searchServices/{searchServiceName}/networkSecurityPerimeterConfigurations/{nspConfigName}/reconcile?api-version=2025-05-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
nsp
|
path | True |
string minLength: 38maxLength: 100 pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}\.[a-z][a-z0-9]*$ |
网络安全外围配置名称。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 此名称不区分大小写。 |
|
search
|
path | True |
string pattern: ^(?=.{2,60}$)[a-z0-9][a-z0-9]+(-[a-z0-9]+)*$ |
与指定资源组关联的 Azure AI 搜索服务的名称。 |
|
subscription
|
path | True |
string (uuid) |
目标订阅的 ID。 该值必须是 UUID。 |
|
api-version
|
query | True |
string minLength: 1 |
用于此操作的 API 版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 202 Accepted |
已接受资源作。 标头 Location: string |
|
| Other Status Codes |
意外错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 流程。
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
Reconcile NSP Config
示例请求
示例响应
Location: /subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Search/locations/westus/AsyncOperationResults/11111111-1111-1111-1111-111111111111
定义
| 名称 | 说明 |
|---|---|
|
Cloud |
包含有关 API 错误的信息。 |
|
Cloud |
描述具有错误代码和消息的特定 API 错误。 |
CloudError
包含有关 API 错误的信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
描述具有错误代码和消息的特定 API 错误。 |
|
| message |
string |
提示出错的错误的简要说明(有关详细信息/调试信息,请参阅“error.message”属性)。 |
CloudErrorBody
描述具有错误代码和消息的特定 API 错误。
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
比 HTTP 状态代码更准确地描述错误条件的错误代码。 可用于以编程方式处理特定错误案例。 |
| details |
包含与此错误相关的嵌套错误。 |
|
| message |
string |
详细说明错误并提供调试信息的消息。 |
| target |
string |
特定错误的目标(例如,错误中属性的名称)。 |